package com.usoftchina.uas.office.qywx.manage.entity;

/**
 * @author yingp
 * @date 2020/2/15
 */
public class QywxAgent {
    private String code;
    private Integer agentId;
    private String description;
    private String secret;
    private Integer readonly;
    /**
     * 应用外网地址
     */
    private String outerUrl;

    public QywxAgent() {
        this.readonly = 0;
    }

    public QywxAgent(String code, String description) {
        this();
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public Integer getReadonly() {
        return readonly;
    }

    public void setReadonly(Integer readonly) {
        this.readonly = readonly;
    }

    public boolean readonly() {
        return null != readonly && 1 == readonly;
    }

    public String getOuterUrl() {
        return outerUrl;
    }

    public void setOuterUrl(String outerUrl) {
        this.outerUrl = outerUrl;
    }
}
